import { callPywebview } from '@/utils/pywebview/core.js'

export const pywebviewAPI = {
  // 获取最新版本信息
  getNewVersion: (config) =>
    callPywebview(
      'get_new_version',
      {},
      {
        successMessage: '已获取最新版本信息',
        errorMessage: '获取最新版本信息失败',
        ...config
      }
    ),

  // 自更新
  updateSelf: (url, config) =>
    callPywebview(
      'update_self',
      { url },
      {
        errorMessage: '更新失败',
        ...config
      }
    )
}
